Bug 999287 - dependency xorg-x11-fonts-Type1 requires optional repo [NEEDINFO]
dependency xorg-x11-fonts-Type1 requires optional repo
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-fonts (Show other bugs)
6.5
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Peter Hutterer
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 01:47 EDT by Lubos Kocman
Modified: 2017-08-01 01:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter.hutterer: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Lubos Kocman 2013-08-21 01:47:16 EDT
Description of problem:

(copying text)

In ComputeNode, the java-1.7.0-openjdk package is in base and the
xorg-x11-fonts-Type1 package is in optional. In 6.4 and earlier, this
has been fine since there was no dependency between the two.

$ rpm -qRp /mnt/redhat/released/RHEL-6/6.4/ComputeNode/x86_64/os/Packages/java-1.7.0-openjdk-1.7.0.9-2.3.4.1.el6_3.x86_64.rpm | grep xorg
$

However, an async errata update to java-1.7.0-openjdk introduced this
new dependency.

$ rpm -qRp /mnt/redhat/brewroot/packages/java-1.7.0-openjdk/1.7.0.19/2.3.9.1.el6_4/x86_64/java-1.7.0-openjdk-1.7.0.19-2.3.9.1.el6_4.x86_64.rpm | grep xorg
xorg-x11-fonts-Type1

So, currently, java-1.7.0-openjdk is broken on Compute Node unless the
customer subscribes to the Optional channel.


Actual results:

optional repo is required

Expected results:

one of these should work: remove dependency or let's move package from optional to base. Which will require explicit ack of manager and changing component to rel-eng.


Additional info:
Comment 2 Jan Stodola 2013-08-21 04:17:00 EDT
Note that xorg-x11-fonts-Type1 requires ttmkfdir, which is also in optional channel for ComputeNode.
Comment 3 Deepak Bhole 2013-08-21 09:18:24 EDT
The dependency was added to fix Bug# 721033. Removing it will reintroduce the issue -- I think it might be better to move the font package and ttmkfdir to optional.

Re-assigning component to xorg-x11-fonts-Type1 and adding myself to cc:
Comment 4 Dennis Gregorovic 2013-08-21 09:44:22 EDT
It ends up being more than just those two packages when you do full dependency resolution.  The actual list looks more like:

ConsoleKit-x11
db4-cxx
db4-devel
gdbm-devel
libXdmcp
libXxf86misc
libmcpp
mcpp
shared-mime-info
ttmkfdir
xorg-x11-fonts-100dpi
xorg-x11-fonts-75dpi
xorg-x11-fonts-ISO8859-1-100dpi
xorg-x11-fonts-ISO8859-1-75dpi
xorg-x11-fonts-ISO8859-14-100dpi
xorg-x11-fonts-ISO8859-14-75dpi
xorg-x11-fonts-ISO8859-15-75dpi
xorg-x11-fonts-ISO8859-2-100dpi
xorg-x11-fonts-ISO8859-2-75dpi
xorg-x11-fonts-ISO8859-9-100dpi
xorg-x11-fonts-ISO8859-9-75dpi
xorg-x11-fonts-Type1
xorg-x11-fonts-cyrillic
xorg-x11-fonts-ethiopic
xorg-x11-fonts-misc
xorg-x11-server-utils
xorg-x11-xauth
xorg-x11-xdm
xterm
Comment 5 Deepak Bhole 2013-08-21 09:50:17 EDT
Doh! Is moving them out of optional a realistic possibility, or shall I re-assign this to OpenJDK and revert the dependency (reintroducing Bug# 721033?
Comment 8 RHEL Product and Program Management 2013-10-13 19:14:59 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.